# Base Dockerfile for Allegra on Debian
# This is without the LaTeX image

FROM tomcat:8
LABEL maintainer="Steinbeis GmbH & Co. KG (support@trackplus.com)"
LABEL version=latest

# Add imagemagick and phantomjs to the container
RUN set -ex; \
	if ! grep -q stretch /etc/apt/sources.list; then \
		{ \
		  echo 'deb http://deb.debian.org/debian stretch main'; \
		} > /etc/apt/sources.list.d/stretch.list; \
	fi
RUN apt-get update && apt-get install -y --no-install-recommends \
		imagemagick \
        phantomjs \
        mysql-client \
        vim \
	&& rm -rf /var/lib/apt/lists/*
# Get the headless phantomjs
RUN wget https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-2.1.1-linux-x86_64.tar.bz2 &&  \
                bzip2 -d phantomjs-2.1.1-linux-x86_64.tar.bz2 && \
                tar -xvf phantomjs-2.1.1-linux-x86_64.tar && \
                cp phantomjs-2.1.1-linux-x86_64/bin/phantomjs /usr/bin/phantomjs

CMD [ "/bin/bash", "-c", "/usr/local/tomcat/conf/entry.sh" ]
